import { DataChannel, PeerConnection, Service, ServiceConfiguration } from '@cross-lab-project/soa-client';
import { TypedEmitter } from 'tiny-typed-emitter';
import { FileServiceEvent } from './messages';
type ServiceType = 'https://api.goldi-labs.de/serviceTypes/file';
declare const ServiceType: ServiceType;
export interface FileServiceConfiguration extends ServiceConfiguration {
    serviceType: ServiceType;
}
export declare class FileService__Producer implements Service {
    serviceType: "https://api.goldi-labs.de/serviceTypes/file";
    serviceId: string;
    serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    channel?: DataChannel;
    constructor(serviceId: string);
    getMeta(): {
        serviceType: "https://api.goldi-labs.de/serviceTypes/file";
        serviceId: string;
        serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    };
    setupConnection(connection: PeerConnection, serviceConfig: ServiceConfiguration): void;
    sendFile(fileType: string, content: Uint8Array): Promise<void>;
}
interface FileService__ConsumerEvents {
    file: (event: FileServiceEvent) => void;
}
export declare class FileService__Consumer extends TypedEmitter<FileService__ConsumerEvents> implements Service {
    serviceType: "https://api.goldi-labs.de/serviceTypes/file";
    serviceId: string;
    serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    constructor(serviceId: string);
    getMeta(): {
        serviceType: "https://api.goldi-labs.de/serviceTypes/file";
        serviceId: string;
        serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    };
    setupConnection(connection: PeerConnection, serviceConfig: ServiceConfiguration): void;
    private header;
    private dataRead;
    private dataBuffer;
    handleData(data: string | Blob | ArrayBuffer | ArrayBufferView): void;
}
export {};
//# sourceMappingURL=file_service.d.ts.map